GNU Radio C++ API Reference: WaterfallDisplayForm Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
WaterfallDisplayForm Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

DisplayForm child for managing waterfall (spectrogram) plots. More...

`#include <gnuradio/qtgui/waterfalldisplayform.h>`

## Public Slots
void | customEvent (QEvent *e) override
void | setTimeTitle (const std::string)
void | setSampleRate (const QString &samprate) override
void | setFFTSize (const int)
void | setFFTAverage (const float)
void | setFFTWindowType (const gr::fft::window::win_type)
void | setFrequencyRange (const double centerfreq, const double bandwidth)
void | setIntensityRange (const double minIntensity, const double maxIntensity)
void | setMaxIntensity (const QString &m)
void | setMinIntensity (const QString &m)
void | setAlpha (unsigned int which, unsigned int alpha)
void | setColorMap (unsigned int which, const int newType, const QColor lowColor=QColor("white"), const QColor highColor=QColor("white"))
void | autoScale (bool en=false) override
void | setPlotPosHalf (bool half)
void | setTimePerFFT (double t)
void | setUpdateTime (double t)
Public Slots inherited from DisplayForm
void | mousePressEvent (QMouseEvent *e) override
void | customEvent (QEvent *e) override=0
void | closeEvent (QCloseEvent *e) override
void | setUpdateTime (double t)
void | setTitle (const QString &title)
void | setLineLabel (unsigned int which, const QString &label)
void | setLineColor (unsigned int which, const QString &color)
void | setLineWidth (unsigned int which, unsigned int width)
void | setLineStyle (unsigned int which, Qt::PenStyle style)
void | setLineMarker (unsigned int which, QwtSymbol::Style style)
void | setMarkerAlpha (unsigned int which, unsigned int alpha)
QString | title ()
QString | lineLabel (unsigned int which)
QString | lineColor (unsigned int which)
int | lineWidth (unsigned int which)
Qt::PenStyle | lineStyle (unsigned int which)
QwtSymbol::Style | lineMarker (unsigned int which)
int | markerAlpha (unsigned int which)
virtual void | setSampleRate (const QString &rate)
void | setStop (bool on)
void | setStop ()
void | setGrid (bool on)
void | setAxisLabels (bool en)
void | saveFigure ()
void | disableLegend ()

## Public Member Functions
| WaterfallDisplayForm (int nplots=1, QWidget *parent=0)
| ~WaterfallDisplayForm () override
WaterfallDisplayPlot * | getPlot () override
int | getFFTSize () const
double | getTimePerFFT ()
float | getFFTAverage () const
gr::fft::window::win_type | getFFTWindowType () const
int | getColorMap (unsigned int which)
int | getAlpha (unsigned int which)
double | getMinIntensity (unsigned int which)
double | getMaxIntensity (unsigned int which)
void | clearData ()
float | getClickedFreq () const
bool | checkClicked ()
Public Member Functions inherited from DisplayForm
| DisplayForm (int nplots=1, QWidget *parent=0)
| ~DisplayForm () override
void | Reset ()
void | enableMenu (bool en=true)

## Additional Inherited Members
Signals inherited from DisplayForm
void | plotPointSelected (const QPointF p, int type)
void | toggleGrid (bool en)
Protected Attributes inherited from DisplayForm
unsigned int | d_nplots
QGridLayout * | d_layout
DisplayPlot * | d_display_plot
bool | d_system_specified_flag
QwtPlotGrid * | d_grid
bool | d_menu_on
QMenu * | d_menu
QAction * | d_stop_act
bool | d_stop_state
QAction * | d_grid_act
bool | d_grid_state
QAction * | d_axislabelsmenu
bool | d_axislabels
QAction * | d_autoscale_act
bool | d_autoscale_state
QList< QMenu * > | d_lines_menu
QList< LineTitleAction * > | d_line_title_act
QList< LineColorMenu * > | d_line_color_menu
QList< LineWidthMenu * > | d_line_width_menu
QList< LineStyleMenu * > | d_line_style_menu
QList< LineMarkerMenu * > | d_line_marker_menu
QList< MarkerAlphaMenu * > | d_marker_alpha_menu
PopupMenu * | d_samp_rate_act
QAction * | d_save_act
double | d_update_time

## Detailed Description

DisplayForm child for managing waterfall (spectrogram) plots.

## Constructor & Destructor Documentation

## ◆ WaterfallDisplayForm()

WaterfallDisplayForm::WaterfallDisplayForm | ( | int | nplots = 1,
|  | QWidget * | parent = 0 )

## ◆ ~WaterfallDisplayForm()

WaterfallDisplayForm::~WaterfallDisplayForm | ( |  | ) |
| override

## Member Function Documentation

## ◆ autoScale

void WaterfallDisplayForm::autoScale | ( | bool | en = false | ) |
| overrideslot

## ◆ checkClicked()

bool WaterfallDisplayForm::checkClicked | ( |  | ) |

## ◆ clearData()

void WaterfallDisplayForm::clearData | ( |  | ) |

## ◆ customEvent

void WaterfallDisplayForm::customEvent | ( | QEvent * | e | ) |
| overrideslot

## ◆ getAlpha()

int WaterfallDisplayForm::getAlpha | ( | unsigned int | which | ) |

## ◆ getClickedFreq()

float WaterfallDisplayForm::getClickedFreq | ( |  | ) | const

## ◆ getColorMap()

int WaterfallDisplayForm::getColorMap | ( | unsigned int | which | ) |

## ◆ getFFTAverage()

float WaterfallDisplayForm::getFFTAverage | ( |  | ) | const

## ◆ getFFTSize()

int WaterfallDisplayForm::getFFTSize | ( |  | ) | const

## ◆ getFFTWindowType()

gr::fft::window::win_type WaterfallDisplayForm::getFFTWindowType | ( |  | ) | const

## ◆ getMaxIntensity()

double WaterfallDisplayForm::getMaxIntensity | ( | unsigned int | which | ) |

## ◆ getMinIntensity()

double WaterfallDisplayForm::getMinIntensity | ( | unsigned int | which | ) |

## ◆ getPlot()

WaterfallDisplayPlot * WaterfallDisplayForm::getPlot | ( |  | ) |
| overridevirtual

Implements DisplayForm.

## ◆ getTimePerFFT()

double WaterfallDisplayForm::getTimePerFFT | ( |  | ) |

## ◆ setAlpha

void WaterfallDisplayForm::setAlpha | ( | unsigned int | which,
|  | unsigned int | alpha )
| slot

## ◆ setColorMap

void WaterfallDisplayForm::setColorMap | ( | unsigned int | which,
|  | const int | newType,
|  | const QColor | lowColor = QColor("white"),
|  | const QColor | highColor = QColor("white") )
| slot

## ◆ setFFTAverage

void WaterfallDisplayForm::setFFTAverage | ( | const float |  | ) |
| slot

## ◆ setFFTSize

void WaterfallDisplayForm::setFFTSize | ( | const int |  | ) |
| slot

## ◆ setFFTWindowType

void WaterfallDisplayForm::setFFTWindowType | ( | const gr::fft::window::win_type |  | ) |
| slot

## ◆ setFrequencyRange

void WaterfallDisplayForm::setFrequencyRange | ( | const double | centerfreq,
|  | const double | bandwidth )
| slot

## ◆ setIntensityRange

void WaterfallDisplayForm::setIntensityRange | ( | const double | minIntensity,
|  | const double | maxIntensity )
| slot

## ◆ setMaxIntensity

void WaterfallDisplayForm::setMaxIntensity | ( | const QString & | m | ) |
| slot

## ◆ setMinIntensity

void WaterfallDisplayForm::setMinIntensity | ( | const QString & | m | ) |
| slot

## ◆ setPlotPosHalf

void WaterfallDisplayForm::setPlotPosHalf | ( | bool | half | ) |
| slot

## ◆ setSampleRate

void WaterfallDisplayForm::setSampleRate | ( | const QString & | samprate | ) |
| overrideslot

## ◆ setTimePerFFT

void WaterfallDisplayForm::setTimePerFFT | ( | double | t | ) |
| slot

## ◆ setTimeTitle

void WaterfallDisplayForm::setTimeTitle | ( | const std::string |  | ) |
| slot

## ◆ setUpdateTime

void WaterfallDisplayForm::setUpdateTime | ( | double | t | ) |
| slot

The documentation for this class was generated from the following file:

- waterfalldisplayform.h